! 
! File:          ExceptionTest_TooDeepException_Impl.F90
! Symbol:        ExceptionTest.TooDeepException-v1.0
! Symbol Type:   class
! Babel Version: 0.10.2
! Description:   Server-side implementation for ExceptionTest.TooDeepException
! 
! WARNING: Automatically generated; only changes within splicers preserved
! 
! babel-version = 0.10.2
! 


! 
! Symbol "ExceptionTest.TooDeepException" (version 1.0)
! 
! This exception is thrown if the Fibonacci recursion is too deep.
! 


#include "sidl_SIDLException_fAbbrev.h"
#include "ExceptionTest_TooDeepException_fAbbrev.h"
#include "ExceptionTest_FibException_fAbbrev.h"
#include "sidl_ClassInfo_fAbbrev.h"
#include "sidl_BaseInterface_fAbbrev.h"
#include "sidl_BaseException_fAbbrev.h"
#include "sidl_BaseClass_fAbbrev.h"
! DO-NOT-DELETE splicer.begin(_miscellaneous_code_start)
! Insert extra code here...
! DO-NOT-DELETE splicer.end(_miscellaneous_code_start)




! 
! Class constructor called when the class is created.
! 

recursive subroutine TooDeepExcep__ctor1ake1o4cbo_mi(self)
  use ExceptionTest_TooDeepException
  use ExceptionTest_TooDeepException_impl
  ! DO-NOT-DELETE splicer.begin(ExceptionTest.TooDeepException._ctor.use)
  ! Insert use statements here...
  ! DO-NOT-DELETE splicer.end(ExceptionTest.TooDeepException._ctor.use)
  implicit none
  type(ExceptionTest_TooDeepException_t) :: self ! in

! DO-NOT-DELETE splicer.begin(ExceptionTest.TooDeepException._ctor)
! Insert the implementation here...
! DO-NOT-DELETE splicer.end(ExceptionTest.TooDeepException._ctor)
end subroutine TooDeepExcep__ctor1ake1o4cbo_mi


! 
! Class destructor called when the class is deleted.
! 

recursive subroutine TooDeepExcep__dtor3oskxzdn6p_mi(self)
  use ExceptionTest_TooDeepException
  use ExceptionTest_TooDeepException_impl
  ! DO-NOT-DELETE splicer.begin(ExceptionTest.TooDeepException._dtor.use)
  ! Insert use statements here...
  ! DO-NOT-DELETE splicer.end(ExceptionTest.TooDeepException._dtor.use)
  implicit none
  type(ExceptionTest_TooDeepException_t) :: self ! in

! DO-NOT-DELETE splicer.begin(ExceptionTest.TooDeepException._dtor)
! Insert the implementation here...
! DO-NOT-DELETE splicer.end(ExceptionTest.TooDeepException._dtor)
end subroutine TooDeepExcep__dtor3oskxzdn6p_mi


! 
! Static class initializer called exactly once before any user-defined method is dispatched
! 

recursive subroutine TooDeepExcep__load92bhnpbj8x_mi()
  use ExceptionTest_TooDeepException
  use ExceptionTest_TooDeepException_impl
  ! DO-NOT-DELETE splicer.begin(ExceptionTest.TooDeepException._load.use)
  ! Insert use statements here...
  ! DO-NOT-DELETE splicer.end(ExceptionTest.TooDeepException._load.use)
  implicit none

! DO-NOT-DELETE splicer.begin(ExceptionTest.TooDeepException._load)
! Insert the implementation here...
! DO-NOT-DELETE splicer.end(ExceptionTest.TooDeepException._load)
end subroutine TooDeepExcep__load92bhnpbj8x_mi


! DO-NOT-DELETE splicer.begin(_miscellaneous_code_end)
! Insert extra code here...
! DO-NOT-DELETE splicer.end(_miscellaneous_code_end)
